Cyberduck Mountain Duck CLI

#6565 closed defect (fixed)

Anonymous sftp connection from browser that fails can't be converted to authenticated connection

Reported by: gorgonzilla Owned by: dkocher
Priority: normal Milestone: 4.3
Component: sftp Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

First off, I have no problem connecting to the server in question with Cyberduck when done in the normal way, e.g. clicking on "Open Connection" or a bookmark.

Here's the problem, though. When I click in my browser on an SFTP link that doesn't include username, e.g. sftp://some.server.com/test/dir3/junk.dat, first Cyberduck tries an anonymous connection and fails, which is fine. However, next I uncheck the "Anonymous Login" checkbox, enter my credentials, and click Login. Even though they are correct, Cyberduck reopens the dialog, reporting "Login failed". As mentioned, I have no problems directly connecting to this server using the same credentials with Cyberduck, e.g. I have a bookmark established for this server/user combination, which always works.

The end result is that if a web page references a long, complicated anonymous sftp url, there is no easy way to get Cyberduck to download the file if I have to authenticate first. I can't even copy the path information out of the url and punch that into a textbox in Cyberduck. The "Go to folder" command is helpful, but what if, as in my case, there may be hundreds of files with long file names in the directory?

It is also kind of annoying but perhaps understandable that even if I have an authenticated connection to the server "open" in Cyberduck, and the web browser hands off an anonymous url request to Cyberduck, Cyberduck doesn't upgrade the request from anonymous to authenticated automatically, or at least ask me.

Change History (4)

comment:1 Changed on May 9, 2012 at 9:51:19 AM by dkocher

If I test this here with an OpenSSH server, the server denies changing the username in the same session and will give Peer sent DISCONNECT message (reason code 2): Change of username or service not allowed: (anonymous,ssh-connection) -> (dkocher,ssh-connection).. You can choose to Retry the connection attempt which will then succeed.

comment:2 Changed on May 9, 2012 at 9:51:25 AM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher

comment:3 Changed on Sep 26, 2012 at 2:31:04 PM by dkocher

Related to #6763.

comment:4 Changed on Oct 10, 2012 at 2:19:41 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software